zenilib: TGraphNode Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TGraphNode Class Reference

`#include <DependencyGraph.h>`

Inherited by TGraphLogicalOp, TGraphLoop, TGraphParentNode, and TGraphSelection.

## Public Member Functions

| TGraphNode (TIntermNode *node)
virtual | ~TGraphNode ()
virtual void | traverse (TDependencyGraphTraverser *graphTraverser)

## Protected Attributes

TIntermNode * | intermNode

## Detailed Description

Definition at line 34 of file DependencyGraph.h.

## Constructor & Destructor Documentation

TGraphNode::TGraphNode | ( | TIntermNode * | node | ) |

inline

Definition at line 36 of file DependencyGraph.h.

virtual TGraphNode::~TGraphNode | ( |  | ) |

inlinevirtual

Definition at line 37 of file DependencyGraph.h.

## Member Function Documentation

void TGraphNode::traverse | ( | TDependencyGraphTraverser * | graphTraverser | ) |

virtual

Reimplemented in TGraphLogicalOp, TGraphLoop, TGraphSelection, TGraphSymbol, TGraphFunctionCall, TGraphArgument, and TGraphParentNode.

Definition at line 11 of file DependencyGraphTraverse.cpp.

References TDependencyGraphTraverser::markVisited().

Referenced by TDependencyGraphOutput::outputAllSpanningTrees(), TGraphParentNode::traverse(), TGraphSelection::traverse(), TGraphLoop::traverse(), and TGraphLogicalOp::traverse().

## Member Data Documentation

TIntermNode* TGraphNode::intermNode

protected

Definition at line 40 of file DependencyGraph.h.

Referenced by TGraphArgument::getIntermFunctionCall(), TGraphFunctionCall::getIntermFunctionCall(), TGraphLogicalOp::getIntermLogicalOp(), TGraphLoop::getIntermLoop(), TGraphSelection::getIntermSelection(), and TGraphSymbol::getIntermSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphTraverse.cpp